Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class CommonMessageBundle

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--oracle.jbo.common.CheckedListResourceBundle
                        |
                        +--oracle.jbo.common.CommonMessageBundle

public class CommonMessageBundle
extends CheckedListResourceBundle

Field Summary
`static java.lang.String` | `EXC_CONF_CONFIGURATION_NOT_FOUND`
`static java.lang.String` | `EXC_CONF_CONNECTION_MISSING`
`static java.lang.String` | `EXC_CONF_CONNECTION_NOT_FOUND`
`static java.lang.String` | `EXC_CONF_ERROR_PARSING`
`static java.lang.String` | `EXC_CONF_FILE_NOT_FOUND`
`static java.lang.String` | `EXC_CONF_NOT_IN_CLASS_PATH`
`static java.lang.String` | `STR_AM_RELEASE_MODE`
`static java.lang.String` | `STR_APPLICATION_PATH`
`static java.lang.String` | `STR_CONNECTION_MODE`
`static java.lang.String` | `STR_CONNECTION_PORT`
`static java.lang.String` | `STR_DEPLOY_PLATFORM`
`static java.lang.String` | `STR_DYNAMIC_PACKAGE_NAME`
`static java.lang.String` | `STR_ENV_DBTRANSACTION_FACTORY_CLASS`
`static java.lang.String` | `STR_ENV_DEFAULT_COUNTRY`
`static java.lang.String` | `STR_ENV_DEFAULT_LANGUAGE`
`static java.lang.String` | `STR_ENV_DO_CONNECTION_POOLING`
`static java.lang.String` | `STR_ENV_DO_FAILOVER`
`static java.lang.String` | `STR_ENV_EJB_TRANSACTION_TIMEOUT`
`static java.lang.String` | `STR_ENV_EJB_TXN_TYPE`
`static java.lang.String` | `STR_ENV_ENTITYROWSET_MODE`
`static java.lang.String` | `STR_ENV_FETCH_MODE`
`static java.lang.String` | `STR_ENV_INIT_JDBC_POOL_SIZE`
`static java.lang.String` | `STR_ENV_JBO_SCHEMA`
`static java.lang.String` | `STR_ENV_JDBC_POOL_REQUEST_TIMEOUT`
`static java.lang.String` | `STR_ENV_MAX_CURSORS`
`static java.lang.String` | `STR_ENV_MAX_JDBC_POOL_SIZE`
`static java.lang.String` | `STR_ENV_PASSIVATION_STORE`
`static java.lang.String` | `STR_ENV_PCOLL_MGR`
`static java.lang.String` | `STR_ENV_PERS_MAX_ACTIVE_NODES`
`static java.lang.String` | `STR_ENV_PERS_MAX_ROWS_PER_NODE`
`static java.lang.String` | `STR_ENV_POOL_CLASS_NAME`
`static java.lang.String` | `STR_ENV_POOL_RECYCLE_THRESHOLD`
`static java.lang.String` | `STR_ENV_SESSION_CLASS`
`static java.lang.String` | `STR_ENV_USE_PERS_COLL`
`static java.lang.String` | `STR_GLOBAL_SUBSTITUTION`
`static java.lang.String` | `STR_HANDLE_NAME`
`static java.lang.String` | `STR_HOST_NAME`
`static java.lang.String` | `STR_INITIAL_CONTEXT`
`static java.lang.String` | `STR_INITIAL_CONTEXT_FACTORY`
`static java.lang.String` | `STR_INTERNAL_CONNECTION_PARAMS`
`static java.lang.String` | `STR_IS_LAZY_LOADING_TRUE`
`static java.lang.String` | `STR_JBO_PROJECT`
`static java.lang.String` | `STR_MAX_POOL_COOKIE_AGE`
`static java.lang.String` | `STR_MOM_CONTEXT_FACTORY`
`static java.lang.String` | `STR_PN_DEBUG_PREFIX`
`static java.lang.String` | `STR_PN_DEBUG_TYPE`
`static java.lang.String` | `STR_PN_JBO_JDBC_TRACE`
`static java.lang.String` | `STR_PN_JDBC_DRIVER_VERBOSE`
`static java.lang.String` | `STR_PN_POOL_MANAGER`
`static java.lang.String` | `STR_PN_SHOW_FUNCTION`
`static java.lang.String` | `STR_PN_SHOW_LEVEL`
`static java.lang.String` | `STR_PN_SHOW_LINECOUNT`
`static java.lang.String` | `STR_PN_SHOW_TIMING`
`static java.lang.String` | `STR_PN_SQLBUILDERIMPL`
`static java.lang.String` | `STR_PN_SQLTYPEMAP`
`static java.lang.String` | `STR_PN_TRACE_THRESHOLD`
`static java.lang.String` | `STR_SECURITY_CREDENTIALS`
`static java.lang.String` | `STR_SECURITY_PRINCIPAL`
`static java.lang.String` | `STR_SHARED_DATA_HANDLE`
`static java.lang.String` | `STR_TEMPORARY_FILES_HOME`
`static java.lang.String` | `STR_USE_DEFINE_COLUMN_LENGTH`
`static java.lang.String` | `STR_XSQL_MUST_GIVE_ATTR`
`static java.lang.String` | `STR_XSQL_MUST_GIVE_TWO_ATTRS`
`static java.lang.String` | `STR_XSQL_NO_CONNECTION_FOUND`
`static java.lang.String` | `STR_XSQL_NO_VO_FOUND`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`CommonMessageBundle()`

Method Summary
`java.lang.Object[][]` | `getContents()` Gets the key-value association table.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STR_DEPLOY_PLATFORM

    public static final java.lang.String STR_DEPLOY_PLATFORM

### STR_CONNECTION_MODE

    public static final java.lang.String STR_CONNECTION_MODE

### STR_HOST_NAME

    public static final java.lang.String STR_HOST_NAME

### STR_CONNECTION_PORT

    public static final java.lang.String STR_CONNECTION_PORT

### STR_APPLICATION_PATH

    public static final java.lang.String STR_APPLICATION_PATH

### STR_ENV_USE_PERS_COLL

    public static final java.lang.String STR_ENV_USE_PERS_COLL

### STR_ENV_PERS_MAX_ROWS_PER_NODE

    public static final java.lang.String STR_ENV_PERS_MAX_ROWS_PER_NODE

### STR_ENV_PERS_MAX_ACTIVE_NODES

    public static final java.lang.String STR_ENV_PERS_MAX_ACTIVE_NODES

### STR_ENV_PCOLL_MGR

    public static final java.lang.String STR_ENV_PCOLL_MGR

### STR_DYNAMIC_PACKAGE_NAME

    public static final java.lang.String STR_DYNAMIC_PACKAGE_NAME

### STR_MOM_CONTEXT_FACTORY

    public static final java.lang.String STR_MOM_CONTEXT_FACTORY

### STR_INITIAL_CONTEXT_FACTORY

    public static final java.lang.String STR_INITIAL_CONTEXT_FACTORY

### STR_INITIAL_CONTEXT

    public static final java.lang.String STR_INITIAL_CONTEXT

### STR_IS_LAZY_LOADING_TRUE

    public static final java.lang.String STR_IS_LAZY_LOADING_TRUE

### STR_PN_SQLBUILDERIMPL

    public static final java.lang.String STR_PN_SQLBUILDERIMPL

### STR_PN_SQLTYPEMAP

    public static final java.lang.String STR_PN_SQLTYPEMAP

### STR_ENV_DEFAULT_LANGUAGE

    public static final java.lang.String STR_ENV_DEFAULT_LANGUAGE

### STR_ENV_DEFAULT_COUNTRY

    public static final java.lang.String STR_ENV_DEFAULT_COUNTRY

### STR_ENV_FETCH_MODE

    public static final java.lang.String STR_ENV_FETCH_MODE

### STR_SHARED_DATA_HANDLE

    public static final java.lang.String STR_SHARED_DATA_HANDLE

### STR_HANDLE_NAME

    public static final java.lang.String STR_HANDLE_NAME

### STR_GLOBAL_SUBSTITUTION

    public static final java.lang.String STR_GLOBAL_SUBSTITUTION

### STR_JBO_PROJECT

    public static final java.lang.String STR_JBO_PROJECT

### STR_ENV_MAX_CURSORS

    public static final java.lang.String STR_ENV_MAX_CURSORS

### STR_ENV_DO_FAILOVER

    public static final java.lang.String STR_ENV_DO_FAILOVER

### STR_ENV_MAX_JDBC_POOL_SIZE

    public static final java.lang.String STR_ENV_MAX_JDBC_POOL_SIZE

### STR_ENV_INIT_JDBC_POOL_SIZE

    public static final java.lang.String STR_ENV_INIT_JDBC_POOL_SIZE

### STR_ENV_ENTITYROWSET_MODE

    public static final java.lang.String STR_ENV_ENTITYROWSET_MODE

### STR_PN_POOL_MANAGER

    public static final java.lang.String STR_PN_POOL_MANAGER

### STR_PN_JBO_JDBC_TRACE

    public static final java.lang.String STR_PN_JBO_JDBC_TRACE

### STR_USE_DEFINE_COLUMN_LENGTH

    public static final java.lang.String STR_USE_DEFINE_COLUMN_LENGTH

### STR_TEMPORARY_FILES_HOME

    public static final java.lang.String STR_TEMPORARY_FILES_HOME

### STR_INTERNAL_CONNECTION_PARAMS

    public static final java.lang.String STR_INTERNAL_CONNECTION_PARAMS

### STR_PN_DEBUG_TYPE

    public static final java.lang.String STR_PN_DEBUG_TYPE

### STR_PN_DEBUG_PREFIX

    public static final java.lang.String STR_PN_DEBUG_PREFIX

### STR_PN_SHOW_TIMING

    public static final java.lang.String STR_PN_SHOW_TIMING

### STR_PN_SHOW_FUNCTION

    public static final java.lang.String STR_PN_SHOW_FUNCTION

### STR_PN_SHOW_LEVEL

    public static final java.lang.String STR_PN_SHOW_LEVEL

### STR_PN_SHOW_LINECOUNT

    public static final java.lang.String STR_PN_SHOW_LINECOUNT

### STR_PN_TRACE_THRESHOLD

    public static final java.lang.String STR_PN_TRACE_THRESHOLD

### STR_PN_JDBC_DRIVER_VERBOSE

    public static final java.lang.String STR_PN_JDBC_DRIVER_VERBOSE

### STR_AM_RELEASE_MODE

    public static final java.lang.String STR_AM_RELEASE_MODE

### STR_SECURITY_PRINCIPAL

    public static final java.lang.String STR_SECURITY_PRINCIPAL

### STR_SECURITY_CREDENTIALS

    public static final java.lang.String STR_SECURITY_CREDENTIALS

### STR_ENV_POOL_RECYCLE_THRESHOLD

    public static final java.lang.String STR_ENV_POOL_RECYCLE_THRESHOLD

### STR_ENV_EJB_TRANSACTION_TIMEOUT

    public static final java.lang.String STR_ENV_EJB_TRANSACTION_TIMEOUT

### STR_ENV_SESSION_CLASS

    public static final java.lang.String STR_ENV_SESSION_CLASS

### STR_ENV_DBTRANSACTION_FACTORY_CLASS

    public static final java.lang.String STR_ENV_DBTRANSACTION_FACTORY_CLASS

### STR_ENV_JDBC_POOL_REQUEST_TIMEOUT

    public static final java.lang.String STR_ENV_JDBC_POOL_REQUEST_TIMEOUT

### STR_ENV_PASSIVATION_STORE

    public static final java.lang.String STR_ENV_PASSIVATION_STORE

### STR_ENV_JBO_SCHEMA

    public static final java.lang.String STR_ENV_JBO_SCHEMA

### STR_XSQL_NO_CONNECTION_FOUND

    public static final java.lang.String STR_XSQL_NO_CONNECTION_FOUND

### STR_XSQL_NO_VO_FOUND

    public static final java.lang.String STR_XSQL_NO_VO_FOUND

### STR_XSQL_MUST_GIVE_ATTR

    public static final java.lang.String STR_XSQL_MUST_GIVE_ATTR

### STR_XSQL_MUST_GIVE_TWO_ATTRS

    public static final java.lang.String STR_XSQL_MUST_GIVE_TWO_ATTRS

### STR_MAX_POOL_COOKIE_AGE

    public static final java.lang.String STR_MAX_POOL_COOKIE_AGE

### STR_ENV_POOL_CLASS_NAME

    public static final java.lang.String STR_ENV_POOL_CLASS_NAME

### STR_ENV_EJB_TXN_TYPE

    public static final java.lang.String STR_ENV_EJB_TXN_TYPE

### STR_ENV_DO_CONNECTION_POOLING

    public static final java.lang.String STR_ENV_DO_CONNECTION_POOLING

### EXC_CONF_FILE_NOT_FOUND

    public static final java.lang.String EXC_CONF_FILE_NOT_FOUND

### EXC_CONF_NOT_IN_CLASS_PATH

    public static final java.lang.String EXC_CONF_NOT_IN_CLASS_PATH

### EXC_CONF_CONNECTION_MISSING

    public static final java.lang.String EXC_CONF_CONNECTION_MISSING

### EXC_CONF_CONNECTION_NOT_FOUND

    public static final java.lang.String EXC_CONF_CONNECTION_NOT_FOUND

### EXC_CONF_ERROR_PARSING

    public static final java.lang.String EXC_CONF_ERROR_PARSING

### EXC_CONF_CONFIGURATION_NOT_FOUND

    public static final java.lang.String EXC_CONF_CONFIGURATION_NOT_FOUND

Constructor Detail

### CommonMessageBundle

    public CommonMessageBundle()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Gets the key-value association table.
  Overrides:
    getContents in class CheckedListResourceBundle
  Returns:
    an array of key-value pairs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD